## krfb 25.08.0

=== debian/changelog ===
krfb (4:25.08.0-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 10:50:08 +0000

krfb (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:16:19 +0000

krfb (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:43:24 +0000

krfb (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:48:16 +0000

krfb (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:32:34 +0000

krfb (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:44:28 +0000

krfb (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:09:22 +0000

krfb (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:46:28 +0000

krfb (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:38:54 +0000

krfb (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:34:20 +0000

krfb (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:48:36 +0000

krfb (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:21:15 +0000

krfb (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:52:14 +0000

krfb (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:49:40 +0000

krfb (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:26:47 +0000

krfb (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:53:06 +0000

krfb (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:36:08 +0000

krfb (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:26:37 +0000

krfb (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:06:25 +0000

krfb (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:38:18 +0000

krfb (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:40:14 +0000

krfb (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:24:11 +0000

krfb (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:12:22 +0000

krfb (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:04:58 +0000

krfb (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:45:26 +0000

krfb (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:07:58 +0000

krfb (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:34:50 +0000

krfb (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:09:49 +0000

krfb (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:47:44 +0000

krfb (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:55:01 +0000

krfb (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:15:32 +0000

krfb (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:35:50 +0000

krfb (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:15:59 +0000

krfb (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:01:42 +0000

krfb (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:26:41 +0000

krfb (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:21:43 +0000

krfb (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:32:30 +0000

krfb (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:07:42 +0000

krfb (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:04:52 +0000

krfb (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 09:00:04 +0000

krfb (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:05 +0000

krfb (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:02 +0000

krfb (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:19 +0000

krfb (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:07:28 +0000

krfb (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:27 +0000

krfb (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:26:31 +0000

krfb (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:46 +0000

krfb (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:14:56 +0000



## krfb 25.08.1

=== framebuffers/CMakeLists.txt ===
if (${XCB_DAMAGE_FOUND} AND ${XCB_SHM_FOUND} AND ${XCB_IMAGE_FOUND})
    add_subdirectory (xcb)
endif()

if (TARGET K::KPipeWire)
    add_subdirectory(pipewire)
endif()

=== events/xdp/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_events_xdp_SRCS
     xdpevents.cpp
     xdpeventsplugin.cpp
)

qt_add_dbus_interface(
   krfb_events_xdp_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_remotedesktop_interface.xml
   xdp_dbus_remotedesktop_interface
)

add_library (krfb_events_xdp MODULE ${krfb_events_xdp_SRCS})

target_link_libraries (krfb_events_xdp
                       KF6::CoreAddons
                       KF6::I18n
                       Qt::DBus
                       krfbprivate
)
set_target_properties(krfb_events_xdp PROPERTIES OUTPUT_NAME xdp)

install (TARGETS krfb_events_xdp
         DESTINATION ${KDE_INSTALL_PLUGINDIR}/krfb/events
)

=== debian/changelog ===
krfb (4:25.08.1-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:45:00 +0000

krfb (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:48:46 +0000

## krfb 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krfb VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 6.5.0)
set(KF6_MIN_VERSION 6.2.0)

find_package(ECM ${KF6_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(FeatureSummary)
include(CheckIncludeFile)

check_include_file("linux/input.h" HAVE_LINUX_INPUT_H)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets)
if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    DBusAddons
    DNSSD
    DocTools
    Notifications
    Wallet
    WidgetsAddons
    WindowSystem
    XmlGui
    StatusNotifierItem
    Crash
)

find_package(X11 REQUIRED)

find_package(XCB REQUIRED COMPONENTS
    XCB
    RENDER
    SHAPE
    XFIXES
    DAMAGE
    SHM
    IMAGE
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

ecm_set_disabled_deprecation_versions(
    QT 6.7.0
    KF 6.5.0
)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

find_package(LibVNCServer 0.9.14 REQUIRED)


option(DISABLE_PIPEWIRE "Disable PipeWire support." OFF)
if(NOT DISABLE_PIPEWIRE)
    find_package(KPipeWire CONFIG REQUIRED)
    pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
    add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
endif()

find_package(PlasmaWaylandProtocols 1.5.0)

if(KPipeWire_FOUND AND PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
    find_package(KWayland REQUIRED)
    find_package(QtWaylandScanner REQUIRED)
    find_package(Qt6WaylandClient)
    find_package(Wayland REQUIRED COMPONENTS Client)
endif()

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KRFB
                  VERSION_HEADER "krfb_version.h")

include_directories ("${CMAKE_CURRENT_BINARY_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb/ui"
)

add_subdirectory(events)
add_subdirectory(krfb)
add_subdirectory(framebuffers)
add_subdirectory(doc)
add_subdirectory(icons)

ki18n_install(po)
kdoctools_install(po)

ecm_qt_install_logging_categories(
    EXPORT KRFB
    FILE krfb.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    sc-apps-krfb.svgz
    48-apps-krfb.png
DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== debian/changelog ===
krfb (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:52:27 +0100

krfb (4:25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:32:28 +0100

krfb (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:51 +0100

krfb (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:53 +0100

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               kwayland-dev (>= 4:6.2.0~) [linux-any],
               libegl-dev,
               libepoxy-dev,
               libgbm-dev [linux-any],
               libjpeg-dev,
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6dnssd-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6statusnotifieritem-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libkpipewire-dev (>= 6.2.0~),
               libpipewire-0.3-dev [linux-any],
               libvncserver-dev,
               libwayland-dev [linux-any],
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.5.0) [linux-any],
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.3.0~),
               qt6-wayland-dev (>= 6.3.0~) [linux-any],
               qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/krfb/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Rules-Requires-Root: no

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter, krdc,
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 25.08.2+p24.04+vstable+git20251015.1143

=== debian/changelog ===
krfb (4:25.08.2+p24.04+vstable+git20251015.1143-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:43:21 +0000

krfb (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:32:28 +0000

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwallet-dev,
               kf6-kwayland-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libepoxy-dev,
               libgbm-dev,
               libjpeg-dev,
               libkpipewire-dev,
               libpipewire-0.3-dev,
               libspa-0.2-dev,
               libvncserver-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/krfb.git
Vcs-Browser: https://invent.kde.org/neon/kde/krfb
Maintainer: Neon CI <neon@kde.org>

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 25.08.2+p24.04+vstable+git20251019.0243

=== debian/changelog ===
krfb (4:25.08.2+p24.04+vstable+git20251019.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:43:27 +0000

## krfb 25.08.2+p24.04+vstable+git20251031.0904

=== debian/changelog ===
krfb (4:25.08.2+p24.04+vstable+git20251031.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:04:59 +0000

## krfb 25.08.2+p24.04+vunstable+git20251011.0133

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krfb (4:25.08.2+p24.04+vunstable+git20251011.0133-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 01:33:53 +0000

## krfb 25.08.2+p24.04+vunstable+git20251015.1327

=== debian/changelog ===
krfb (4:25.08.2+p24.04+vunstable+git20251015.1327-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:27:45 +0000

## krfb 25.08.2+p24.04+vunstable+git20251021.0429

=== debian/changelog ===
krfb (4:25.08.2+p24.04+vunstable+git20251021.0429-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 04:29:53 +0000

## krfb 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== events/CMakeLists.txt ===
add_subdirectory(x11)

# Makes sense to use only when PW framebuffer is used
if (TARGET K::KPipeWire)
    add_subdirectory(xdp)
endif()

=== krfb/CMakeLists.txt ===
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config-krfb.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-krfb.h
)

include(GenerateExportHeader)

#####################################
# First target: libkrfbprivate - a library
# for linking plugins against.

set (krfbprivate_SRCS
     framebuffer.cpp
     framebufferplugin.cpp
     events.cpp
     eventsplugin.cpp
)

add_library (krfbprivate
                  SHARED
                  ${krfbprivate_SRCS}
)
generate_export_header(krfbprivate BASE_NAME krfbprivate)


target_link_libraries (krfbprivate
                       Qt::Core
                       Qt::Widgets
                       Qt::GuiPrivate
                       ${X11_X11_LIB}
                       LibVNCServer::vncserver
)

set_target_properties (krfbprivate PROPERTIES
                       VERSION 5
                       SOVERSION 5.0
)

install (TARGETS krfbprivate
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
         LIBRARY NAMELINK_SKIP
)

#####################################
# Second target: krfb - the app
# itself.

set (krfb_SRCS
     connectiondialog.cpp
     framebuffermanager.cpp
     events.cpp
     eventsmanager.cpp
     main.cpp
     mainwindow.cpp
     sockethelpers.cpp
     trayicon.cpp
     rfbservermanager.cpp
     rfbserver.cpp
     rfbclient.cpp
     invitationsrfbserver.cpp
     invitationsrfbclient.cpp
)

ecm_qt_declare_logging_category(krfb_SRCS
    HEADER krfbdebug.h
    IDENTIFIER KRFB
    CATEGORY_NAME krfb.krfb
    DESCRIPTION "KRFB Application"
    EXPORT KRFB
)

kconfig_add_kcfg_files (krfb_SRCS
                     krfbconfig.kcfgc
)

ki18n_wrap_ui (krfb_UI_SRCS
                   ui/configtcp.ui
                   ui/configsecurity.ui
                   ui/configframebuffer.ui
                   ui/connectionwidget.ui
                   ui/mainwidget.ui
)

qt_add_resources(krfb_SRCS
    krfb.qrc
)

add_executable (krfb
                     ${krfb_SRCS}
                     ${krfb_UI_SRCS}
)

target_link_libraries (krfb
                       krfbprivate
                       ${JPEG_LIBRARIES}
                       ${X11_Xext_LIB}
                       ${X11_X11_LIB}
                       ${X11_Xdamage_LIB}
                       Qt::Network
                       KF6::CoreAddons
                       KF6::DBusAddons
                       KF6::DNSSD
                       KF6::I18n
                       KF6::Notifications
                       KF6::Wallet
                       KF6::WidgetsAddons
                       KF6::WindowSystem
                       KF6::XmlGui
                       KF6::StatusNotifierItem
                       KF6::Crash
                       LibVNCServer::vncserver
)

if (X11_XTest_FOUND)
    target_link_libraries (krfb
                           ${X11_XTest_LIB}
    )
endif (X11_XTest_FOUND)

install (TARGETS krfb
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

#################################
kconfig_add_kcfg_files (krfbvm_SRCS
                     krfbconfig.kcfgc
)

ecm_qt_declare_logging_category(krfbvm_SRCS
    HEADER krfbdebug.h
    IDENTIFIER KRFB
    CATEGORY_NAME krfb.krfb
    DESCRIPTION "KRFB Application"
    EXPORT KRFB
)

add_executable(krfb-virtualmonitor main-virtualmonitor.cpp ${krfbvm_SRCS} ${krfb_UI_SRCS}
                                   rfbserver.cpp rfbclient.cpp rfbservermanager.cpp eventsmanager.cpp framebuffermanager.cpp sockethelpers.cpp)
target_link_libraries(krfb-virtualmonitor
                      krfbprivate
                      Qt::Gui
                      Qt::Network
                      KF6::ConfigGui
                      KF6::CoreAddons
                      KF6::I18n
                      KF6::Notifications
                      KF6::WindowSystem
                      KF6::Crash
)

install (TARGETS krfb-virtualmonitor
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

configure_file(org.kde.krfb.virtualmonitor.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop @ONLY)
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop
         DESTINATION ${KDE_INSTALL_APPDIR}
)

########### install files ###############

install (PROGRAMS org.kde.krfb.desktop
         DESTINATION ${KDE_INSTALL_APPDIR}
)

install(FILES org.kde.krfb.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR}
)

install (FILES krfb.notifyrc
         DESTINATION ${KDE_INSTALL_DATADIR}/krfb
)

=== framebuffers/pipewire/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_framebuffer_pw_SRCS
     pw_framebuffer.cpp
     pw_framebufferplugin.cpp

     screencasting.cpp
)

ecm_qt_declare_logging_category(krfb_framebuffer_pw_SRCS
    HEADER krfb_fb_pipewire_debug.h
    IDENTIFIER KRFB_FB_PIPEWIRE
    CATEGORY_NAME krfb.framebuffer.pipewire
    DESCRIPTION "KRFB PipeWire framebuffer plugin"
    EXPORT KRFB
)

qt_add_dbus_interface(
   krfb_framebuffer_pw_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_screencast_interface.xml
   xdp_dbus_screencast_interface
)

qt_add_dbus_interface(
   krfb_framebuffer_pw_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_remotedesktop_interface.xml
   xdp_dbus_remotedesktop_interface
)

add_library(krfb_framebuffer_pw
    MODULE
    ${krfb_framebuffer_pw_SRCS}
)

if (Qt6_VERSION VERSION_LESS "6.7.1")
    ecm_add_qtwayland_client_protocol(krfb_framebuffer_pw
        PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/screencast.xml
        BASENAME zkde-screencast-unstable-v1
    )
else()
    if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
        set(private_code_option "PRIVATE_CODE")
    endif()
    qt6_generate_wayland_protocol_client_sources(krfb_framebuffer_pw
        ${private_code_option}
        FILES ${PLASMA_WAYLAND_PROTOCOLS_DIR}/screencast.xml
    )
endif()

if (KPipeWire_VERSION VERSION_LESS "6.0.80")
    target_compile_definitions(krfb_framebuffer_pw PRIVATE -DKPIPEWIRE60=1)
else()
    target_compile_definitions(krfb_framebuffer_pw PRIVATE -DKPIPEWIRE60=0)
endif()
set_property(TARGET krfb_framebuffer_pw PROPERTY C_STANDARD 99)

target_link_libraries(krfb_framebuffer_pw
                      Qt::Core
                      Qt::Gui
                      Qt::DBus
                      KF6::CoreAddons
                      KF6::ConfigCore
                      PkgConfig::PipeWire
                      Plasma::KWaylandClient
                      Wayland::Client
                      krfbprivate
                      K::KPipeWire
                      K::KPipeWireDmaBuf
)

set_target_properties(krfb_framebuffer_pw PROPERTIES OUTPUT_NAME pw)
install (TARGETS krfb_framebuffer_pw
         DESTINATION ${KDE_INSTALL_PLUGINDIR}/krfb/framebuffer
)

=== framebuffers/xcb/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_framebuffer_xcb_SRCS
      xcb_framebufferplugin.cpp
      xcb_framebuffer.cpp
)

ecm_qt_declare_logging_category(krfb_framebuffer_xcb_SRCS
    HEADER krfb_fb_xcb_debug.h
    IDENTIFIER KRFB_FB_XCB
    CATEGORY_NAME krfb.framebuffer.xcb
    DESCRIPTION "KRFB XCB framebuffer plugin"
    EXPORT KRFB
)

add_library(krfb_framebuffer_xcb MODULE ${krfb_framebuffer_xcb_SRCS})

target_link_libraries (krfb_framebuffer_xcb
                       Qt::Core
                       Qt::Gui
                       Qt::GuiPrivate
                       XCB::XCB
                       XCB::RENDER
                       XCB::SHAPE
                       XCB::XFIXES
                       XCB::DAMAGE
                       XCB::SHM
                       XCB::IMAGE
                       KF6::CoreAddons
                       krfbprivate
)

set_target_properties(krfb_framebuffer_xcb PROPERTIES OUTPUT_NAME xcb)
install (TARGETS krfb_framebuffer_xcb
         DESTINATION ${KDE_INSTALL_PLUGINDIR}/krfb/framebuffer
)

=== debian/changelog ===
krfb (4:25.08.3-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 05:12:10 +0000

krfb (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:10 +1000

## krfb 25.08.3+p24.04+vunstable+git20251130.0414

=== debian/changelog ===
krfb (4:25.08.3+p24.04+vunstable+git20251130.0414-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 04:14:55 +0000

## krfb 25.08.3+p24.04+vunstable+git20251204.0553

=== debian/changelog ===
krfb (4:25.08.3+p24.04+vunstable+git20251204.0553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:53:02 +0000

## krfb 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krfb (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:18 +0000

krfb (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:45 +0000

## krfb 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krfb (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:55 +0000

## krfb 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krfb (4:25.12.0-0zneon+24.04+noble+release+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 23:11:21 +0000

krfb (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:24 +1000

## krfb 25.12.0+p24.04+vstable+git20251209.2253

=== debian/changelog ===
krfb (4:25.12.0+p24.04+vstable+git20251209.2253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 22:53:23 +0000

## krfb 25.12.0+p24.04+vstable+git20251215.0245

=== debian/changelog ===
krfb (4:25.12.0+p24.04+vstable+git20251215.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 02:45:23 +0000

## krfb 25.12.0+p24.04+vunstable+git20260105.1357

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

## krfb 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krfb (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jan 2026 15:22:24 +0000

krfb (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 08:38:04 +0100

krfb (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:12:03 +0000

krfb (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:30:16 +0000

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               kwayland-dev (>= 4:6.2.0~) [linux-any],
               libegl-dev,
               libepoxy-dev,
               libgbm-dev [linux-any],
               libjpeg-dev,
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6dnssd-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6statusnotifieritem-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libkpipewire-dev (>= 6.2.0~),
               libpipewire-0.3-dev [linux-any],
               libvncserver-dev (>= 0.9.14~),
               libwayland-dev [linux-any],
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.5.0) [linux-any],
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.3.0~),
               qt6-wayland-dev (>= 6.3.0~) [linux-any],
               qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/krfb/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
          krdc,
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 25.12.1+p24.04+vstable+git20260106.1909

=== debian/changelog ===
krfb (4:25.12.1+p24.04+vstable+git20260106.1909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:09:32 +0000

krfb (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:27:34 +1000

## krfb 25.12.1+p24.04+vstable+git20260129.0057

=== debian/changelog ===
krfb (4:25.12.1+p24.04+vstable+git20260129.0057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:57:35 +0000

## krfb 25.12.1+p24.04+vstable+git20260131.0256

=== debian/changelog ===
krfb (4:25.12.1+p24.04+vstable+git20260131.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:56:08 +0000

## krfb 25.12.1+p24.04+vunstable+git20260106.1909

=== debian/changelog ===
krfb (4:25.12.1+p24.04+vunstable+git20260106.1909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:09:38 +0000

## krfb 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krfb (4:25.12.2-0ubuntu3) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 07:45:32 +0000

krfb (4:25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:55:08 +0000

krfb (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:54 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.2.0~),
                gettext,
                kwayland-dev (>= 4:6.2.0~) [linux-any],
@@ -44,9 +44,9 @@
                pkgconf,
                plasma-wayland-protocols (>= 1.5.0) [linux-any],
                qt6-base-dev (>= 6.5.0~),
+               qt6-base-dev-tools (>= 6.10.0~),
                qt6-base-private-dev (>= 6.3.0~),
                qt6-wayland-dev (>= 6.3.0~) [linux-any],
-               qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
 Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/krfb/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
